# Change Log - @adaptive-web/adaptive-web-components

This log was last generated on Fri, 01 Nov 2024 01:04:06 GMT and should not be manually modified.

<!-- Start content -->

## 0.8.1

Fri, 01 Nov 2024 01:04:06 GMT

### Patches

- Bump @adaptive-web/adaptive-ui to v0.11.0

## 0.8.0

Fri, 25 Oct 2024 03:02:05 GMT

### Minor changes

- AUI: Improve StyleProperty shorthand capabilities (47367562+bheston@users.noreply.github.com)
- Bump @adaptive-web/adaptive-ui to v0.10.0

### Patches

- Turn on strict compilation mode (47367562+bheston@users.noreply.github.com)

## 0.7.4

Thu, 25 Jul 2024 17:29:23 GMT

### Patches

- Bump @adaptive-web/adaptive-ui to v0.9.1

## 0.7.3

Fri, 19 Jul 2024 17:39:45 GMT

### Patches

- Bump @adaptive-web/adaptive-ui to v0.9.0

## 0.7.2

Mon, 15 Jul 2024 18:51:14 GMT

### Patches

- Bump @adaptive-web/adaptive-ui to v0.8.0

## 0.7.1

Thu, 11 Jul 2024 17:06:10 GMT

### Patches

- Bump @adaptive-web/adaptive-ui to v0.7.0

## 0.7.0

Tue, 09 Jul 2024 16:29:52 GMT

### Minor changes

- Adaptive UI: Migrated global disabled and focus style support from AWC to AUI (47367562+bheston@users.noreply.github.com)
- Bump @adaptive-web/adaptive-ui to v0.6.0

## 0.6.2

Mon, 24 Jun 2024 21:29:12 GMT

### Patches

- Bump @adaptive-web/adaptive-ui to v0.5.0

## 0.6.1

Mon, 10 Jun 2024 23:22:54 GMT

### Patches

- Bump @adaptive-web/adaptive-ui to v0.4.1

## 0.6.0

Thu, 30 May 2024 17:37:24 GMT

### Minor changes

- AUI: Remove assumption on `part` selector (47367562+bheston@users.noreply.github.com)
- Adaptive UI: Add support for multi-value string anatomy conditions (47367562+bheston@users.noreply.github.com)
- Bump @adaptive-web/adaptive-ui to v0.4.0

## 0.5.0

Fri, 26 Apr 2024 21:58:21 GMT

### Minor changes

- Adaptive UI: Added styles build script (47367562+bheston@users.noreply.github.com)
- Bump @adaptive-web/adaptive-ui to v0.3.0

### Patches

- Updated Adaptive UI interactive state support (47367562+bheston@users.noreply.github.com)
- Adaptive UI : Cleaned up type definition for Style Rules (formerly Style Modules) (47367562+bheston@users.noreply.github.com)
- Expand styling capabilities to not assume `:host` container (47367562+bheston@users.noreply.github.com)

## 0.4.2

Fri, 12 Jan 2024 00:16:08 GMT

### Patches

- Added density and component styling helpers (47367562+bheston@users.noreply.github.com)
- Updated color recipes to allow null interactive states (47367562+bheston@users.noreply.github.com)
- Migrated the focus styling to style modules - Change `delegatesFocus` usage to override `focus` instead - Select includes additional style fixes (47367562+bheston@users.noreply.github.com)
- Updated the style assembly function to get the full anatomy definition (47367562+bheston@users.noreply.github.com)
- Added support for setting `fill` when `color` is set (47367562+bheston@users.noreply.github.com)
- Export default component styles (47367562+bheston@users.noreply.github.com)
- Components: Migrate default icons to local svgs (47367562+bheston@users.noreply.github.com)
- Component style cleanup (47367562+bheston@users.noreply.github.com)
- Component cleanup - Adjust small control label style - Fix position issue on combobox - Fix shortcut issue in Storybook (47367562+bheston@users.noreply.github.com)
- Updated elevation styling (47367562+bheston@users.noreply.github.com)
- Bump @adaptive-web/adaptive-ui to v0.2.2

## 0.4.1

Tue, 17 Oct 2023 16:10:46 GMT

### Patches

- picker styles (stephcomeau@msn.com)
- update fast dependencies (32497422+KingOfTac@users.noreply.github.com)
- fix sticky header styles (stephcomeau@msn.com)
- Adaptive UI: Consolidate css selectors (47367562+bheston@users.noreply.github.com)
- Button style reset (47367562+bheston@users.noreply.github.com)
- select control width (stephcomeau@msn.com)
- Designer: Added missing highlight color (47367562+bheston@users.noreply.github.com)
- Added support for `disabled` state colors and cursor (47367562+bheston@users.noreply.github.com)
- text field control resizing (stephcomeau@msn.com)
- Bump @adaptive-web/adaptive-ui to v0.2.1

## 0.4.0

Wed, 19 Jul 2023 04:28:43 GMT

### Minor changes

- enable prefix changing for composed definitions (32497422+KingOfTac@users.noreply.github.com)

## 0.3.0

Sat, 01 Jul 2023 03:28:44 GMT

### Minor changes

- Update styles to normalize to `border-box` sizing (47367562+bheston@users.noreply.github.com)
- Added `migration` export for deprecated design tokens (47367562+bheston@users.noreply.github.com)
- Designer: add style module support (47367562+bheston@users.noreply.github.com)
- Update compound properties (padding, border, etc.) (47367562+bheston@users.noreply.github.com)
- Adaptive UI: Formalized `Recipe` structure to enable better composition (47367562+bheston@users.noreply.github.com)
- Bump @adaptive-web/adaptive-ui to v0.2.0

### Patches

- updated all token imports from adaptive-ui and updated FAST to latest versions (nbrown414@outlook.com)

## 0.2.0

Sat, 03 Jun 2023 04:25:41 GMT

### Minor changes

- Clean up style module definition (47367562+bheston@users.noreply.github.com)
- Add start and end icon args in Storybook (47367562+bheston@users.noreply.github.com)
- Finish semantic color recipe system and foundation style modules (47367562+bheston@users.noreply.github.com)
- Migrated type ramp to style modules (47367562+bheston@users.noreply.github.com)
- Update to latest FAST (47367562+bheston@users.noreply.github.com)
- Migrate density related styles to style modules (47367562+bheston@users.noreply.github.com)
- Setup style module pattern for remaining components (47367562+bheston@users.noreply.github.com)
- Renamed `perceivable` colors to `discernible` (47367562+bheston@users.noreply.github.com)
- Migrated interactive color styles to style modules (47367562+bheston@users.noreply.github.com)
- Update Anchor to illustrate initial migration to style modules for components (47367562+bheston@users.noreply.github.com)
- Migrate border styling to modules (47367562+bheston@users.noreply.github.com)
- Bump @adaptive-web/adaptive-ui to v0.1.0

### Patches

- Fix API docs (47367562+bheston@users.noreply.github.com)
- hide unused labels (stephcomeau@msn.com)

## 0.1.2

Wed, 15 Mar 2023 23:46:48 GMT

### Patches

- Bump @adaptive-web/adaptive-ui to v0.0.3
