import { FASTAnchor } from "@microsoft/fast-foundation";
/**
 * The Adaptive version of Anchor. Extends {@link @microsoft/fast-foundation#FASTAnchor}.
 *
 * @public
 */
export declare class AdaptiveAnchor extends FASTAnchor {
    /**
     * Applies 'icon-only' class when there is only an SVG in the default slot.
     */
    protected defaultSlottedContentChanged(): void;
    focus(options?: FocusOptions): void;
}
