import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTAnchoredRegion } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const AnchoredRegionConditions: {
    loaded: string;
};
/**
 * @public
 */
export declare const AnchoredRegionParts: {};
/**
 * @public
 */
export declare const AnchoredRegionAnatomy: ComponentAnatomy<typeof AnchoredRegionConditions, typeof AnchoredRegionParts>;
/**
 * Default Anchored Region template, {@link @microsoft/fast-foundation#anchoredRegionTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTAnchoredRegion>;
