import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTBadge } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const BadgeConditions: {};
/**
 * @public
 */
export declare const BadgeParts: {
    control: string;
};
/**
 * @public
 */
export declare const BadgeAnatomy: ComponentAnatomy<typeof BadgeConditions, typeof BadgeParts>;
/**
 * Default Badge template, {@link @microsoft/fast-foundation#badgeTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTBadge>;
