import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTButton } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const ButtonConditions: {
    iconOnly: string;
};
/**
 * @public
 */
export declare const ButtonParts: {
    control: string;
    content: string;
};
/**
 * @public
 */
export declare const ButtonAnatomy: ComponentAnatomy<typeof ButtonConditions, typeof ButtonParts>;
/**
 * Default Button template, {@link @microsoft/fast-foundation#buttonTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTButton>;
