import { FASTCombobox } from "@microsoft/fast-foundation";
/**
 * The Adaptive version of Combobox. Extends {@link @microsoft/fast-foundation#FASTCombobox}.
 *
 * @public
 */
export declare class AdaptiveCombobox extends FASTCombobox {
    connectedCallback(): void;
    /**
     * Handles `focusin` actions for the component. When the component receives focus,
     * the input control is focused as it is on click.
     *
     * @internal
     */
    focusinHandler(e: FocusEvent): void;
    focus(options?: FocusOptions): void;
}
