import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTDataGridCell } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const DataGridCellConditions: {
    cellType: {
        default: string;
        columnHeader: string;
        rowHeader: string;
    };
};
/**
 * @public
 */
export declare const DataGridCellParts: {};
/**
 * @public
 */
export declare const DataGridCellAnatomy: ComponentAnatomy<typeof DataGridCellConditions, typeof DataGridCellParts>;
/**
 * Default Data Grid Cell template, {@link @microsoft/fast-foundation#dataGridCellTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTDataGridCell>;
