import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTDialog } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const DialogConditions: {};
/**
 * @public
 */
export declare const DialogParts: {
    positioningRegion: string;
    overlay: string;
    control: string;
};
/**
 * @public
 */
export declare const DialogAnatomy: ComponentAnatomy<typeof DialogConditions, typeof DialogParts>;
/**
 * Default Dialog template, {@link @microsoft/fast-foundation#dialogTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTDialog>;
