import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTDisclosure } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const DisclosureConditions: {
    expanded: string;
};
/**
 * @public
 */
export declare const DisclosureParts: {
    invoker: string;
};
/**
 * @public
 */
export declare const DisclosureAnatomy: ComponentAnatomy<typeof DisclosureConditions, typeof DisclosureParts>;
/**
 * Default Disclosure template, {@link @microsoft/fast-foundation#disclosureTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTDisclosure>;
