import type { FASTElementDefinition } from '@microsoft/fast-element';
import { ComposeOptions, DesignSystem } from "../../design-system.js";
import { AdaptiveMenuItem } from "./menu-item.js";
import { MenuItemStatics } from "./menu-item.template.js";
/**
 * @public
 */
export declare function composeMenuItem(ds: DesignSystem, options?: ComposeOptions<AdaptiveMenuItem, MenuItemStatics>): FASTElementDefinition;
