import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTMenu } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const MenuConditions: {
    submenu: string;
};
/**
 * @public
 */
export declare const MenuParts: {};
/**
 * @public
 */
export declare const MenuAnatomy: ComponentAnatomy<typeof MenuConditions, typeof MenuParts>;
/**
 * Default Menu template, {@link @microsoft/fast-foundation#menuTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTMenu>;
