import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTPickerListItem } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const PickerListItemConditions: {};
/**
 * @public
 */
export declare const PickerListItemParts: {};
/**
 * @public
 */
export declare const PickerListItemAnatomy: ComponentAnatomy<typeof PickerListItemConditions, typeof PickerListItemParts>;
/**
 * Default Picker List Item template, {@link @microsoft/fast-foundation#pickerListItemTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTPickerListItem>;
