import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTProgressRing } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const ProgressRingConditions: {};
/**
 * @public
 */
export declare const ProgressRingParts: {
    indicator: string;
    determinate: string;
    indeterminate: string;
};
/**
 * @public
 */
export declare const ProgressRingAnatomy: ComponentAnatomy<typeof ProgressRingConditions, typeof ProgressRingParts>;
/**
 * Default Progress template, {@link @microsoft/fast-foundation#progressTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTProgressRing>;
