import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTProgress } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const ProgressConditions: {};
/**
 * @public
 */
export declare const ProgressParts: {
    indicator: string;
    determinate: string;
    indeterminate: string;
};
/**
 * @public
 */
export declare const ProgressAnatomy: ComponentAnatomy<typeof ProgressConditions, typeof ProgressParts>;
/**
 * Default Progress template, {@link @microsoft/fast-foundation#progressTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTProgress>;
