import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTTabPanel } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const TabPanelConditions: {};
/**
 * @public
 */
export declare const TabPanelParts: {};
/**
 * @public
 */
export declare const TabPanelAnatomy: ComponentAnatomy<typeof TabPanelConditions, typeof TabPanelParts>;
/**
 * Default Tab Panel template, {@link @microsoft/fast-foundation#tabPanelTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTTabPanel>;
