import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTTextField } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const TextFieldConditions: {};
/**
 * @public
 */
export declare const TextFieldParts: {
    label: string;
    root: string;
    control: string;
};
/**
 * @public
 */
export declare const TextFieldAnatomy: ComponentAnatomy<typeof TextFieldConditions, typeof TextFieldParts>;
/**
 * Default Text Field template, {@link @microsoft/fast-foundation#textFieldTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTTextField>;
