import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTTreeView } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const TreeViewConditions: {};
/**
 * @public
 */
export declare const TreeViewParts: {};
/**
 * @public
 */
export declare const TreeViewAnatomy: ComponentAnatomy<typeof TreeViewConditions, typeof TreeViewParts>;
/**
 * Default Tree View template, {@link @microsoft/fast-foundation#treeViewTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTTreeView>;
