import { accordionTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const AccordionConditions = {};
/**
 * @public
 */
export const AccordionParts = {};
/**
 * @public
 */
export const AccordionAnatomy = {
    interactivity: Interactivity.never,
    conditions: AccordionConditions,
    parts: AccordionParts,
};
/**
 * Default Accordion template, {@link @microsoft/fast-foundation#accordionTemplate}.
 * @public
 */
export const template = (ds) => accordionTemplate();
//# sourceMappingURL=accordion.template.js.map