import { anchoredRegionTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const AnchoredRegionConditions = {
    loaded: "[data-loaded='loaded']",
};
/**
 * @public
 */
export const AnchoredRegionParts = {};
/**
 * @public
 */
export const AnchoredRegionAnatomy = {
    interactivity: Interactivity.never,
    conditions: AnchoredRegionConditions,
    parts: AnchoredRegionParts,
};
/**
 * Default Anchored Region template, {@link @microsoft/fast-foundation#anchoredRegionTemplate}.
 * @public
 */
export const template = (ds) => anchoredRegionTemplate();
//# sourceMappingURL=anchored-region.template.js.map