import { avatarTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const AvatarConditions = {};
/**
 * @public
 */
export const AvatarParts = {
    backplate: "backplate",
};
/**
 * @public
 */
export const AvatarAnatomy = {
    interactivity: Interactivity.never,
    conditions: AvatarConditions,
    parts: AvatarParts,
};
/**
 * Default Avatar template, {@link @microsoft/fast-foundation#avatarTemplate}.
 * @public
 */
export const template = (ds) => avatarTemplate();
//# sourceMappingURL=avatar.template.js.map