import { breadcrumbTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const BreadcrumbConditions = {};
/**
 * @public
 */
export const BreadcrumbParts = {
    list: "list",
};
/**
 * @public
 */
export const BreadcrumbAnatomy = {
    interactivity: Interactivity.never,
    conditions: BreadcrumbConditions,
    parts: BreadcrumbParts,
};
/**
 * Default Breadcrumb template, {@link @microsoft/fast-foundation#breadcrumbTemplate}.
 * @public
 */
export const template = (ds) => breadcrumbTemplate();
//# sourceMappingURL=breadcrumb.template.js.map