import { buttonTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const ButtonConditions = {
    iconOnly: ".icon-only",
};
/**
 * @public
 */
export const ButtonParts = {
    control: "control",
    content: "content",
};
/**
 * @public
 */
export const ButtonAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: ButtonConditions,
    parts: ButtonParts,
    focus: Focus.partFocused("control"),
};
/**
 * Default Button template, {@link @microsoft/fast-foundation#buttonTemplate}.
 * @public
 */
export const template = (ds) => buttonTemplate();
//# sourceMappingURL=button.template.js.map