import { css } from "@microsoft/fast-element";
/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export const templateStyles = css `
    :host {
        display: flex;
        position: relative;
        flex-direction: column;
    }

    :host([selection-mode="multi-row"]) {
        user-select: none;
    }
`;
/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export const aestheticStyles = css ``;
//# sourceMappingURL=data-grid.styles.js.map