import { dataGridTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
import { composeDataGridRow } from '../data-grid-row/index.js';
/**
 * @public
 */
export const DataGridConditions = {};
/**
 * @public
 */
export const DataGridParts = {};
/**
 * @public
 */
export const DataGridAnatomy = {
    interactivity: Interactivity.never,
    conditions: DataGridConditions,
    parts: DataGridParts,
};
/**
 * Default Data Grid template, {@link @microsoft/fast-foundation#dataGridTemplate}.
 * @public
 */
export const template = (ds) => dataGridTemplate({
    dataGridRow: composeDataGridRow(ds),
});
//# sourceMappingURL=data-grid.template.js.map