import { dialogTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const DialogConditions = {};
/**
 * @public
 */
export const DialogParts = {
    positioningRegion: "positioning-region",
    overlay: "overlay",
    control: "control",
};
/**
 * @public
 */
export const DialogAnatomy = {
    interactivity: Interactivity.never,
    conditions: DialogConditions,
    parts: DialogParts,
};
/**
 * Default Dialog template, {@link @microsoft/fast-foundation#dialogTemplate}.
 * @public
 */
export const template = (ds) => dialogTemplate();
//# sourceMappingURL=dialog.template.js.map