import { accentFillReadableControlStyles, controlDensityStyles, controlShapeStyles, typeRampBaseStyles } from "@adaptive-web/adaptive-ui/reference";
import { DisclosureAnatomy } from "./disclosure.template.js";
/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export const styleModules = [
    {
        styles: typeRampBaseStyles,
    },
    {
        target: {
            part: DisclosureAnatomy.parts.invoker,
        },
        styles: [
            controlShapeStyles,
            controlDensityStyles,
            accentFillReadableControlStyles,
        ]
    },
];
//# sourceMappingURL=disclosure.styles.modules.js.map