import { dividerTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const DividerConditions = {
    orientation: {
        horizontal: "[orientation='horizontal']",
        vertical: "[orientation='vertical']",
    },
};
/**
 * @public
 */
export const DividerParts = {};
/**
 * @public
 */
export const DividerAnatomy = {
    interactivity: Interactivity.never,
    conditions: DividerConditions,
    parts: DividerParts,
};
/**
 * Default Divider template, {@link @microsoft/fast-foundation#dividerTemplate}.
 * @public
 */
export const template = (ds) => dividerTemplate();
//# sourceMappingURL=divider.template.js.map