import { itemStyles, selectableSelectedStyles, } from "@adaptive-web/adaptive-ui/reference";
import { ListboxOptionAnatomy } from "./listbox-option.template.js";
/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export const styleModules = [
    {
        styles: itemStyles,
    },
    {
        target: {
            contextCondition: ListboxOptionAnatomy.conditions.selected,
        },
        styles: selectableSelectedStyles,
    },
];
//# sourceMappingURL=listbox-option.styles.modules.js.map