import { listboxTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const ListboxConditions = {};
/**
 * @public
 */
export const ListboxParts = {};
/**
 * @public
 */
export const ListboxAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: ListboxConditions,
    parts: ListboxParts,
    focus: Focus.contextFocused(),
};
/**
 * Default Listbox template, {@link @microsoft/fast-foundation#listboxTemplate}.
 * @public
 */
export const template = (ds) => listboxTemplate();
//# sourceMappingURL=listbox.template.js.map