import { menuTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const MenuConditions = {
    submenu: "[slot='submenu']",
};
/**
 * @public
 */
export const MenuParts = {};
/**
 * @public
 */
export const MenuAnatomy = {
    interactivity: Interactivity.never,
    conditions: MenuConditions,
    parts: MenuParts,
};
/**
 * Default Menu template, {@link @microsoft/fast-foundation#menuTemplate}.
 * @public
 */
export const template = (ds) => menuTemplate();
//# sourceMappingURL=menu.template.js.map