import { pickerListTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const PickerListConditions = {};
/**
 * @public
 */
export const PickerListParts = {};
/**
 * @public
 */
export const PickerListAnatomy = {
    interactivity: Interactivity.always,
    conditions: PickerListConditions,
    parts: PickerListParts,
};
/**
 * Default Picker List template, {@link @microsoft/fast-foundation#pickerListTemplate}.
 * @public
 */
export const template = (ds) => pickerListTemplate();
//# sourceMappingURL=picker-list.template.js.map