import { pickerMenuTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const PickerMenuConditions = {};
/**
 * @public
 */
export const PickerMenuParts = {
    optionsDisplay: "options-display",
    headerRegion: "header-region",
    footerRegion: "footer-region",
    suggestionsAvailableAlert: "suggestions-available-alert",
};
/**
 * @public
 */
export const PickerMenuAnatomy = {
    interactivity: Interactivity.never,
    conditions: PickerMenuConditions,
    parts: PickerMenuParts,
};
/**
 * Default Picker Menu template, {@link @microsoft/fast-foundation#pickerMenuTemplate}.
 * @public
 */
export const template = (ds) => pickerMenuTemplate();
//# sourceMappingURL=picker-menu.template.js.map