import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTAccordion } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const AccordionConditions: {};
/**
 * @public
 */
export declare const AccordionParts: {};
/**
 * @public
 */
export declare const AccordionAnatomy: ComponentAnatomy<typeof AccordionConditions, typeof AccordionParts>;
/**
 * Default Accordion template, {@link @microsoft/fast-foundation#accordionTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTAccordion>;
