import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTAvatar } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const AvatarConditions: {};
/**
 * @public
 */
export declare const AvatarParts: {
    backplate: string;
};
/**
 * @public
 */
export declare const AvatarAnatomy: ComponentAnatomy<typeof AvatarConditions, typeof AvatarParts>;
/**
 * Default Avatar template, {@link @microsoft/fast-foundation#avatarTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTAvatar>;
