import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTBreadcrumb } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const BreadcrumbConditions: {};
/**
 * @public
 */
export declare const BreadcrumbParts: {
    list: string;
};
/**
 * @public
 */
export declare const BreadcrumbAnatomy: ComponentAnatomy<typeof BreadcrumbConditions, typeof BreadcrumbParts>;
/**
 * Default Breadcrumb template, {@link @microsoft/fast-foundation#breadcrumbTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTBreadcrumb>;
