import { FASTButton } from "@microsoft/fast-foundation";
/**
 * The Adaptive version of Button. Extends {@link @microsoft/fast-foundation#FASTButton}.
 *
 * @public
 */
export declare class AdaptiveButton extends FASTButton {
    /**
     * Applies 'icon-only' class when there is only an SVG in the default slot.
     */
    protected defaultSlottedContentChanged(): void;
    focus(options?: FocusOptions): void;
}
