import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTCalendar } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const CalendarConditions: {};
/**
 * @public
 */
export declare const CalendarParts: {
    title: string;
    month: string;
    year: string;
    days: string;
    week: string;
    weekDay: string;
    weekDays: string;
    day: string;
    date: string;
    today: string;
};
/**
 * @public
 */
export declare const CalendarAnatomy: ComponentAnatomy<typeof CalendarConditions, typeof CalendarParts>;
/**
 * Default Calendar template, {@link @microsoft/fast-foundation#calendarTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTCalendar>;
