import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTCard } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const CardConditions: {};
/**
 * @public
 */
export declare const CardParts: {};
/**
 * @public
 */
export declare const CardAnatomy: ComponentAnatomy<typeof CardConditions, typeof CardParts>;
/**
 * Default Card template, {@link @microsoft/fast-foundation#cardTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTCard>;
