import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTDataGridRow } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const DataGridRowConditions: {
    rowType: {
        default: string;
        header: string;
        stickyHeader: string;
    };
    selected: string;
};
/**
 * @public
 */
export declare const DataGridRowParts: {};
/**
 * @public
 */
export declare const DataGridRowAnatomy: ComponentAnatomy<typeof DataGridRowConditions, typeof DataGridRowParts>;
/**
 * Default Data Grid Row template, {@link @microsoft/fast-foundation#dataGridRowTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTDataGridRow>;
