import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTDataGrid } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const DataGridConditions: {};
/**
 * @public
 */
export declare const DataGridParts: {};
/**
 * @public
 */
export declare const DataGridAnatomy: ComponentAnatomy<typeof DataGridConditions, typeof DataGridParts>;
/**
 * Default Data Grid template, {@link @microsoft/fast-foundation#dataGridTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTDataGrid>;
