import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTDivider } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const DividerConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};
/**
 * @public
 */
export declare const DividerParts: {};
/**
 * @public
 */
export declare const DividerAnatomy: ComponentAnatomy<typeof DividerConditions, typeof DividerParts>;
/**
 * Default Divider template, {@link @microsoft/fast-foundation#dividerTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTDivider>;
