import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTListboxElement } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const ListboxConditions: {};
/**
 * @public
 */
export declare const ListboxParts: {};
/**
 * @public
 */
export declare const ListboxAnatomy: ComponentAnatomy<typeof ListboxConditions, typeof ListboxParts>;
/**
 * Default Listbox template, {@link @microsoft/fast-foundation#listboxTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTListboxElement>;
