import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTPickerList } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const PickerListConditions: {};
/**
 * @public
 */
export declare const PickerListParts: {};
/**
 * @public
 */
export declare const PickerListAnatomy: ComponentAnatomy<typeof PickerListConditions, typeof PickerListParts>;
/**
 * Default Picker List template, {@link @microsoft/fast-foundation#pickerListTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTPickerList>;
