import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTPickerMenuOption } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const PickerMenuOptionConditions: {
    selected: string;
};
/**
 * @public
 */
export declare const PickerMenuOptionParts: {};
/**
 * @public
 */
export declare const PickerMenuOptionAnatomy: ComponentAnatomy<typeof PickerMenuOptionConditions, typeof PickerMenuOptionParts>;
/**
 * Default Picker Menu Option template, {@link @microsoft/fast-foundation#pickerMenuOptionTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTPickerMenuOption>;
