import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTPickerMenu } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const PickerMenuConditions: {};
/**
 * @public
 */
export declare const PickerMenuParts: {
    optionsDisplay: string;
    headerRegion: string;
    footerRegion: string;
    suggestionsAvailableAlert: string;
};
/**
 * @public
 */
export declare const PickerMenuAnatomy: ComponentAnatomy<typeof PickerMenuConditions, typeof PickerMenuParts>;
/**
 * Default Picker Menu template, {@link @microsoft/fast-foundation#pickerMenuTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTPickerMenu>;
