import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTPicker } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const PickerConditions: {};
/**
 * @public
 */
export declare const PickerParts: {
    region: string;
    noOptionsDisplay: string;
    loadingDisplay: string;
    loadingProgress: string;
};
/**
 * @public
 */
export declare const PickerAnatomy: ComponentAnatomy<typeof PickerConditions, typeof PickerParts>;
/**
 * Default Picker template, {@link @microsoft/fast-foundation#pickerTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTPicker>;
