import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTSearch } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const SearchConditions: {};
/**
 * @public
 */
export declare const SearchParts: {
    label: string;
    root: string;
    control: string;
    clearButton: string;
};
/**
 * @public
 */
export declare const SearchAnatomy: ComponentAnatomy<typeof SearchConditions, typeof SearchParts>;
/**
 * Default Search Field template, {@link @microsoft/fast-foundation#searchTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTSearch>;
