import type { FASTElementDefinition } from '@microsoft/fast-element';
import { ComposeOptions, DesignSystem } from "../../design-system.js";
import { AdaptiveSelect } from "./select.js";
import { SelectStatics } from "./select.template.js";
/**
 * @public
 */
export declare function composeSelect(ds: DesignSystem, options?: ComposeOptions<AdaptiveSelect, SelectStatics>): FASTElementDefinition;
