import { FASTSelect } from "@microsoft/fast-foundation";
/**
 * The Adaptive version of Select. Extends {@link @microsoft/fast-foundation#FASTSelect}.
 */
export declare class AdaptiveSelect extends FASTSelect {
    private computedStylesheet?;
    multipleChanged(prev: boolean | undefined, next: boolean): void;
    protected sizeChanged(prev: number | undefined, next: number): void;
    /**
     * Updates an internal stylesheet with calculated CSS custom properties.
     *
     * @internal
     */
    protected updateComputedStylesheet(): void;
}
