import { ElementViewTemplate } from "@microsoft/fast-element";
import type { FASTSkeleton } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const SkeletonConditions: {
    shape: {
        rectangle: string;
        circle: string;
    };
};
/**
 * @public
 */
export declare const SkeletonParts: {};
/**
 * @public
 */
export declare const SkeletonAnatomy: ComponentAnatomy<typeof SkeletonConditions, typeof SkeletonParts>;
/**
 * Default Skeleton template, {@link @microsoft/fast-foundation#skeletonTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTSkeleton>;
