import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTSwitch } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const SwitchConditions: {
    checked: string;
};
/**
 * @public
 */
export declare const SwitchParts: {
    switch: string;
    label: string;
    thumb: string;
};
/**
 * @public
 */
export declare const SwitchAnatomy: ComponentAnatomy<typeof SwitchConditions, typeof SwitchParts>;
/**
 * Default Switch template, {@link @microsoft/fast-foundation#switchTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTSwitch>;
