import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTTab } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const TabConditions: {};
/**
 * @public
 */
export declare const TabParts: {};
/**
 * @public
 */
export declare const TabAnatomy: ComponentAnatomy<typeof TabConditions, typeof TabParts>;
/**
 * Default Tab template, {@link @microsoft/fast-foundation#tabTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTTab>;
