import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTTextArea } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const TextAreaConditions: {};
/**
 * @public
 */
export declare const TextAreaParts: {
    label: string;
    control: string;
};
/**
 * @public
 */
export declare const TextAreaAnatomy: ComponentAnatomy<typeof TextAreaConditions, typeof TextAreaParts>;
/**
 * Default Text Area template, {@link @microsoft/fast-foundation#textAreaTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTTextArea>;
