import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTTooltip } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const TooltipConditions: {
    show: string;
    visible: string;
};
/**
 * @public
 */
export declare const TooltipParts: {};
/**
 * @public
 */
export declare const TooltipAnatomy: ComponentAnatomy<typeof TooltipConditions, typeof TooltipParts>;
/**
 * Default Tooltip template, {@link @microsoft/fast-foundation#tooltipTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTTooltip>;
