import { badgeTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const BadgeConditions = {};
/**
 * @public
 */
export const BadgeParts = {
    control: "control",
};
/**
 * @public
 */
export const BadgeAnatomy = {
    interactivity: Interactivity.never,
    conditions: BadgeConditions,
    parts: BadgeParts,
};
/**
 * Default Badge template, {@link @microsoft/fast-foundation#badgeTemplate}.
 * @public
 */
export const template = (ds) => badgeTemplate();
//# sourceMappingURL=badge.template.js.map