import { controlShapeStyles, plainTextStyles } from "@adaptive-web/adaptive-ui/reference";
import { CalendarAnatomy } from "./calendar.template.js";
/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export const styleModules = [
    {
        styles: plainTextStyles,
    },
    {
        target: {
            part: CalendarAnatomy.parts.day,
        },
        styles: controlShapeStyles,
    },
];
//# sourceMappingURL=calendar.styles.modules.js.map