import { layerFillInteractiveRest, layerShapeStyles, plainTextStyles, shadowCardStyles } from "@adaptive-web/adaptive-ui/reference";
/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export const styleModules = [
    {
        styles: [
            layerShapeStyles,
            plainTextStyles,
            shadowCardStyles,
        ],
        properties: {
            backgroundFill: layerFillInteractiveRest,
        },
    },
];
//# sourceMappingURL=card.styles.modules.js.map