import { disclosureTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const DisclosureConditions = {
    expanded: "[expanded]",
};
/**
 * @public
 */
export const DisclosureParts = {
    invoker: "invoker",
};
/**
 * @public
 */
export const DisclosureAnatomy = {
    interactivity: Interactivity.always,
    conditions: DisclosureConditions,
    parts: DisclosureParts,
    focus: Focus.partFocused("invoker"),
};
/**
 * Default Disclosure template, {@link @microsoft/fast-foundation#disclosureTemplate}.
 * @public
 */
export const template = (ds) => disclosureTemplate();
//# sourceMappingURL=disclosure.template.js.map