import { neutralStrokeSubtle, strokeThickness } from "@adaptive-web/adaptive-ui/reference";
import { DividerAnatomy } from "./divider.template.js";
/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export const styleModules = [
    {
        target: {
            contextCondition: DividerAnatomy.conditions.orientation.horizontal,
        },
        properties: {
            borderFillTop: neutralStrokeSubtle.rest,
            borderStyleTop: "solid",
            borderThicknessTop: strokeThickness,
        },
    },
    {
        target: {
            contextCondition: DividerAnatomy.conditions.orientation.vertical,
        },
        properties: {
            borderFillLeft: neutralStrokeSubtle.rest,
            borderStyleLeft: "solid",
            borderThicknessLeft: strokeThickness,
        },
    },
];
//# sourceMappingURL=divider.styles.modules.js.map