import { pickerListItemTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const PickerListItemConditions = {};
/**
 * @public
 */
export const PickerListItemParts = {};
/**
 * @public
 */
export const PickerListItemAnatomy = {
    interactivity: Interactivity.always,
    conditions: PickerListItemConditions,
    parts: PickerListItemParts,
    focus: Focus.contextFocused(),
};
/**
 * Default Picker List Item template, {@link @microsoft/fast-foundation#pickerListItemTemplate}.
 * @public
 */
export const template = (ds) => pickerListItemTemplate();
//# sourceMappingURL=picker-list-item.template.js.map