import { pickerMenuOptionTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const PickerMenuOptionConditions = {
    selected: "[aria-selected='true']",
};
/**
 * @public
 */
export const PickerMenuOptionParts = {};
/**
 * @public
 */
export const PickerMenuOptionAnatomy = {
    interactivity: Interactivity.always,
    conditions: PickerMenuOptionConditions,
    parts: PickerMenuOptionParts,
};
/**
 * Default Picker Menu Option template, {@link @microsoft/fast-foundation#pickerMenuOptionTemplate}.
 * @public
 */
export const template = (ds) => pickerMenuOptionTemplate();
//# sourceMappingURL=picker-menu-option.template.js.map