import { densityControl } from "@adaptive-web/adaptive-ui/reference";
import { RadioGroupAnatomy } from "./radio-group.template.js";
/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export const styleModules = [
    {
        properties: {
            gap: densityControl.verticalGap,
        },
    },
    {
        target: {
            part: RadioGroupAnatomy.parts.positioningRegion,
        },
        properties: {
            gap: densityControl.verticalGap,
        },
    },
];
//# sourceMappingURL=radio-group.styles.modules.js.map