import { searchTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const SearchConditions = {};
/**
 * @public
 */
export const SearchParts = {
    label: "label",
    root: "root",
    control: "control",
    clearButton: "clear-button",
};
/**
 * @public
 */
export const SearchAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: SearchConditions,
    parts: SearchParts,
    focus: Focus.partWithin("root", "control"),
};
/**
 * Default Search Field template, {@link @microsoft/fast-foundation#searchTemplate}.
 * @public
 */
export const template = (ds) => searchTemplate();
//# sourceMappingURL=search.template.js.map