import { tabTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const TabConditions = {};
/**
 * @public
 */
export const TabParts = {};
/**
 * @public
 */
export const TabAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: TabConditions,
    parts: TabParts,
    focus: Focus.contextFocused(),
};
/**
 * Default Tab template, {@link @microsoft/fast-foundation#tabTemplate}.
 * @public
 */
export const template = (ds) => tabTemplate();
//# sourceMappingURL=tab.template.js.map