import { textAreaTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const TextAreaConditions = {};
/**
 * @public
 */
export const TextAreaParts = {
    label: "label",
    control: "control",
};
/**
 * @public
 */
export const TextAreaAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: TextAreaConditions,
    parts: TextAreaParts,
    focus: Focus.partFocused("control"),
};
/**
 * Default Text Area template, {@link @microsoft/fast-foundation#textAreaTemplate}.
 * @public
 */
export const template = (ds) => textAreaTemplate();
//# sourceMappingURL=text-area.template.js.map