import { controlDensityStyles, controlShapeStyles, neutralFillSubtle, plainTextStyles, shadowTooltipStyles } from "@adaptive-web/adaptive-ui/reference";
/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export const styleModules = [
    {
        styles: [
            controlShapeStyles,
            controlDensityStyles,
            plainTextStyles,
            shadowTooltipStyles,
        ],
        properties: {
            backgroundFill: neutralFillSubtle.rest,
        },
    },
];
//# sourceMappingURL=tooltip.styles.modules.js.map