import { tooltipTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const TooltipConditions = {
    show: "[show='true']",
    visible: "[visible]",
};
/**
 * @public
 */
export const TooltipParts = {};
/**
 * @public
 */
export const TooltipAnatomy = {
    interactivity: Interactivity.never,
    conditions: TooltipConditions,
    parts: TooltipParts,
};
/**
 * Default Tooltip template, {@link @microsoft/fast-foundation#tooltipTemplate}.
 * @public
 */
export const template = (ds) => tooltipTemplate();
//# sourceMappingURL=tooltip.template.js.map