import { DesignToken } from '@microsoft/fast-foundation';
import { AllComponents } from './custom-elements.js';
import { DefaultDesignSystem } from './design-system.js';
const AWC = {
    designSystem: DefaultDesignSystem,
    allComponents: AllComponents,
};
if (globalThis.AWC === void 0) {
    Reflect.defineProperty(globalThis, "AWC", {
        value: Object.create(AWC),
        configurable: false,
        enumerable: false,
        writable: false
    });
}
(() => {
    DesignToken.registerDefaultStyleTarget();
    AWC.designSystem.defineComponents(AWC.allComponents);
})();
//# sourceMappingURL=index.bundle.js.map